# HeartContainersReloaded

## Setup

Maven hasen't been added yet. I might do that in the future. For now just download the latest spigot api and add it to the project.

## Configuration

You can find the config inside `plugins/HeartContainersReloaded/config.yml`

```
# Set the default health
start_health: 20.0
# Set the maximum health a player can reach
max_health: 30.0

# Configure the type of health that is going to be dropped
health_config:

  # Set the Entity which drops/gives the health to the killer
  # Mob types can be found at
  PLAYER:
    # Sets how you get the heart (as a drop or direct) and how health is calculated.
    health_type: "DROP_VAMPIRE"

    # When using DIRECT_VALUE or DROP_VALUE health_value
    # is dropped or added to the max health of the player
    health_value: 0.5

    # When using DIRECT_VAMPIRE or DROP_VAMPIRE (vampire_multiplicator * killed enemy health)
    # is dropped or added to the player.
    vampire_multiplicator: 0.3

# Example:
#  drop_config:
#    MOB_TYPE:
#      health_type: DROP_VALUE | DROP_VAMPIRE | DIRECT_VALUE | DIRECT_VAMPIRE | NONE
#      health_value: 0.5
#      vampire_multiplicator: 0.5
#    PIG:
#      health_type: "DROP_VAMPIRE"
#      vampire_multiplicator: 0.5
```

`health_type` can have following values:
- `DROP_VALUE`     - Drop a heart container which gives value specified in `health_value`
- `DROP_VAMPIRE`   - Drop a heart container which gives the value of (`vampire_multiplicator` * killed entity max health)
- `DIRECT_VALUE`   - Directly adds the value specified in `health_value` to the players max health.
- `DIRECT_VAMPIRE` - Directly adds (`vampire_multiplicator` * killed entity max health) to the players max health.

All the entities can be found in the [Bukkit API Documentation](https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/entity/EntityType.html)